using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
	class ColliderDebug : MonoBehaviour
    {
        void Update()
        {
            foreach (Collider2D coller in gameObject.GetComponents<Collider2D>())
            {
                ModAPI.Draw.Collider(coller); //Instance.AddComponent<ColliderDebug>(); (add this to instances)
            }
        }
    }
    public class Mod
    {
        public static void Main()
        {
	            CategoryBuilder.Create("LSA:MARSOC", "Operation Land, Sea, Air: Marsoc", ModAPI.LoadSprite("CategoryTN.png"));			
		
                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Marine Raiders MARSOC",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a soldier trained for war, better than the marines.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/MARSOCicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Soldiers/USMarineRaidersMARSOC.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Marine Raiders MARSOC Variant 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a soldier trained for war, better than the marines.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/MARSOCicon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Soldiers/USMarineRaidersMARSOC2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Marine Raiders MARSOC Variant 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a soldier trained for war, better than the marines.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/MARSOCicon3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Soldiers/USMarineRaidersMARSOC3.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "MARSOC Fast Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Fasticon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/FastMRSC.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "MARSOC Fast Helmet Variant 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Fasticon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/FastMRSC2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "MARSOC Fast Helmet Variant 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Fasticon3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/FastMRSC3.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "MARSOC Fast Helmet Variant 4",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Fasticon4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/FastMRSC4.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "MARSOC Fast Helmet With NvGs",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Fasticon5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/FastMRSC5.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "MARSOC Fast Helmet With NvGs Variant 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Fasticon6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/FastMRSC6.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "MARSOC Fast Helmet With NvGs Variant 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Fasticon8.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/FastMRSC7.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "MARSOC Fast Helmet With NvGs Variant 4",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Fasticon8.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/FastMRSC8.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            ); 
            
                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "MARSOC MICH Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Michicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/MICH2000.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "MARSOC MICH Helmet Variant 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a helmet for steel soldiers willing to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Michicon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/2MICH2000.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Ballistic Glasses",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "protect ur eyes.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Glassesicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/BallisticGlasses.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Military Shemagh",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "protect ur eyes.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Shemaghicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/MilitaryShemagh.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Military Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "if you go to war with a cap, it means that you protect your head from the sun and you are a Chad.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/MilitaryCapicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/MilitaryCap.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Military Headphones",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "some headphones to communicate long distance without using any helmet. can be used for any helmet of any mod.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Headphonesicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/Headphones.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "MARSOC vest top",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Vesticon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/MRSCVest.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "MARSOC vest bottom",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Vesticon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/MRSCVest2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "MARSOC vest top Variant 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Vesticon3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/MRSCVest3.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "MARSOC vest bottom Variant 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Vesticon4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/MRSCVest4.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "MARSOC vest bottom Backpack Variant",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more in the backpack.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Vesticon5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/MRSCVest5.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Tactical Ammo Belt",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a belt containing medicine, more ammo and a pistol belt.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Belticon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/TacticalAmmoBelt.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
	    );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Tactical Ammo Belt With a Bag",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a bag containing medicine, more ammo and a pistol belt.",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Belticon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/TacticalAmmoBag.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
	    );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Pistol Holster",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "protect your knees",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Holstericon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/PistolHolster.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Right Tan Tactical Knee Pads",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "protect your knees",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/TacticKneesicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/TanTacticalKneePads.png", 55f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Left Tan Tactical Knee Pads",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "protect your knees",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/TacticKneesicon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/TanTacticalKneePads2.png", 55f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "MK18 no attachments",
                 DescriptionOverride = "modern tatical american weapon for MARSOC and other USA groups",
                 CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/MK18icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/MK18slide.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/MK18.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/2mykiller18.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "MK18 Variant 1",
                 DescriptionOverride = "modern tatical american weapon for MARSOC and other USA groups",
                 CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/MK18icon2.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/MK18slide2.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/2MK18.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/2mykiller18.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "MK18 Variant 2",
                 DescriptionOverride = "modern tatical american weapon for MARSOC and other USA groups",
                 CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/MK18icon3.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/MK18slide3.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/3MK18.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/mykiller18s.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "MK18 Variant 3",
                 DescriptionOverride = "modern tatical american weapon for MARSOC and other USA groups",
                 CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/MK18icon4.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/MK18slide5.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/5MK18.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/2mykiller18.wav"),
                     };
                 }
             }
             ); ;


                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "MK18 Black Variant",
                 DescriptionOverride = "modern tatical american weapon for MARSOC and other USA groups",
                 CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/MK18icon5.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/MK18slide4.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/4MK18.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/mykiller18s.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "CQB MK18 ",
                 DescriptionOverride = "modern tatical american weapon for MARSOC and other USA groups",
                 CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/MK18icon6.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/MK18slide6.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/6MK18.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.08f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/mykiller18s.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "FN ScarL Tan",
                 DescriptionOverride = "modern tatical american weapon for MARSOC and other USA groups",
                 CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/Scaricon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/FnScarLslide.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/FnScarL.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.12f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/FnScar.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "FN ScarL Black",
                 DescriptionOverride = "modern tatical american weapon for MARSOC and other USA groups",
                 CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/Scaricon2.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/FnScarLslide2.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/FnScarL2.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.12f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/FnScar.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "FN ScarL SOPMOD",
                 DescriptionOverride = "modern tatical american weapon for MARSOC and other USA groups",
                 CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/Scaricon3.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/FnScarLslide3.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/FnScarL3.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.12f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/FnScars.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "FN ScarH",
                 DescriptionOverride = "modern tatical american weapon for MARSOC and other USA groups",
                 CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/Scaricon4.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/FnScarHslide.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/FnScarH.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.12f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/FnScar.wav"),
                     };
                 }
             }
             ); ;
                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Non Lethal Training MK18",
		    NameToOrderByOverride = "!",
                    DescriptionOverride = "a special MK18, used for training future MARSOC soldiers",
                    CategoryOverride = ModAPI.FindCategory("LSA:MARSOC"),
                    ThumbnailOverride = ModAPI.LoadSprite("Icons/TMK18icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/TrainingMK18.png", 15f);
                        Instance.FixColliders();

                    }
                }
            );

                          
        } 
    }
	
}